Recovers the client key shares for the specified WAAS wallet from backup.
POST
/
sdk
/
{environmentId}
/
waas
/
{walletId}
/
keyShares
/
recover
Recover WAAS keyshares
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/keyShares/recover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyShareIds": [
"95b11417-f18f-457f-8804-68e361f9164f"
]
}
'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/keyShares/recover"
payload = { "keyShareIds": ["95b11417-f18f-457f-8804-68e361f9164f"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyShareIds: ['95b11417-f18f-457f-8804-68e361f9164f']})
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/keyShares/recover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keyShares": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"backupLocation": "<string>",
"passwordEncrypted": true,
"walletShareDeveloperKeyEncrypted": true,
"externalKeyShareId": "95b11417-f18f-457f-8804-68e361f9164f",
"keygenId": "<string>",
"encryptedAccountCredential": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Body
application/json
Optional keyShareIds to recover. If not provided, all client keyShares for the wallet will be recovered.
List of key share identifiers to recover
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Recover keyShares Success
List of recovered client key shares
Show child attributes
Show child attributes
Last modified on July 17, 2026
Was this page helpful?
⌘I
Recover WAAS keyshares
